<div class="loading" *ngIf="showLoader">Loading&#8230;</div>
<div class="all-wrapper with-side-panel solid-bg-all">
  <div class="layout-w">
    <!--------------------
        START - Mobile Menu
        -------------------->
    <app-side-menu></app-side-menu>


    <!--------------------
        END - Main Menu
        -------------------->
    <div class="content-w">
      <!--------------------
                      START - Top Bar
                      -------------------->
      <!-- <app-top-bar></app-top-bar> -->
      <!--------------------
                      END - Top Bar
                      -------------------->


      <div class="content-i">
        <div class="content-box">
          <div class="row">
            <div class="col-sm-12">
              <div class="element-wrapper">
                <div class="element-actions">

                </div>
                <h6 class="element-header">
                  Welcome!
                </h6>
                <div class="element-content">
                  <div class="row">
                    <div class="col-sm-12">
                      <h3>Please upload Invoice CSV</h3>
                        <div class="form-group">
                          <input #fileInput name="csvFile" type="file" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" 
                          (change)="onFileChange($event)">
                        </div>
                        <button class="btn btn-primary loading-button" (click)="submitFile()">
                          <span>Submit</span>
                        </button>
                    </div>
                  </div>
                  <div class="row mt-3" *ngIf="invalidCSV">
                    <div class="col-sm-12">
                      <div class="alert alert-danger" role="alert">
                        {{csvError}}
                      </div>
                    </div>
                  </div>
                  <div class="row mt-3" *ngIf="invalidCSV == false">
                    <div class="col-sm-12">
                      <div class="alert alert-success" role="alert">
                        Data Saved!
                      </div>
                    </div>
                </div>
                <!-- List of newly uploaded CSV -->
                <div class="row mt-3" *ngIf="newInvoiceList.length > 0">
                  <div class="col-sm-12">
                    <div class="table-responsive">
                      <table class="table table-padded">
                          <thead>
                              <tr>
                                  <th class="text-center">
                                      Invoice Id
                                  </th>
                                  <th class="text-center">
                                      Invoice Amount
                                  </th>
                                  <th class="text-center">Due Date</th>
                                  <th class="text-center">
                                      Invoice Sell Price
                                  </th>
                              </tr>
                          </thead>
                          <tbody>
                              <tr *ngFor="let invoice of newInvoiceList">
                                  <ng-container>
                                      <td>{{invoice.invoice_id}}</td>
                                      <td>{{invoice.invoice_amount}}</td>
                                      <td>{{invoice.due_date | date :'yyyy-MM-dd'}}</td>
                                      <td>{{invoice.invoice_sell_price}}</td>
                                  </ng-container>
                              </tr>
                          </tbody>
                      </table>
                  </div>
                  </div>
              </div>
                </div>
              </div>
            </div>
          </div>
          
        </div>

      </div>



    </div>
  </div>
  <div class="display-type"></div>
</div>